Get URLs to upload files
posthttps://api-atlas.nomic.ai/v1/upload
Get URLs to upload files and use in different tasks (parsing, extraction, etc.).
Request
Body (required) application/json
filesarray<object>*requiredList of files to prepare for upload. Each file must have a unique ID, size in bytes, and content type.
idstring*requiredUnique identifier for the file in your request. Use this to match the response with your original file.
sizeinteger*requiredFile size in bytes. Must be at least 1 byte.
content_typestring*requiredMIME type of the file (e.g., "application/pdf")
Responses
filesarray<object>*requiredList of upload information for each file in your request. Each file gets its own upload URL and task (parsing, extraction, etc.) id.
request_idstring*requiredThe ID you provided in your request. Use this to match the response with your original file.
upload_urlstring*requiredURL for uploading your file. Use this URL with a PUT request to upload your file content.
nomic_urlstring*requiredUse this URL to reference the file when making calls to parsing or extraction services.
Examples
curl -X 'POST' \
'https://api-atlas.nomic.ai/v1/upload' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"files": [
{
"id": "string",
"size": 1,
"content_type": "string"
}
]
}'